Skip to main content

List recent SBOM scan jobs

GET 

/api/v1/sbom/scans

List recent SBOM scan jobs

Request

Query Parameters

    limit number
    offset number

Responses

Array of scan status objects

Schema

  • Array [

  • id stringrequired

    Scan job UUID

    status stringrequired

    Possible values: [queued, running, complete, failed]

    Current status of the scan

    target stringrequired

    Scan target (image name, file path, registry URL, etc.)

    targetType stringrequired

    Possible values: [docker, registry, file, dir, oci-archive]

    Type of the scan target

    format stringrequired

    Possible values: [syft-json, spdx-json, cyclonedx-json, table, text]

    SBOM output format

    triggeredBy string

    Who or what triggered this scan

    error string

    Error message if the scan failed

    failureReason string

    Short reason code for the failure

    createdAt date-timerequired

    Timestamp when the scan was created

    updatedAt date-timerequired

    Timestamp of the last status update

    completedAt date-time

    Timestamp when the scan reached a terminal state

  • ]

Loading...